## wxglade 0.3.5.cvs20050824

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,13 @@
 install: all install-doc
 	cp -a *.py codegen edit_sizers res widgets \
 	  $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade
-	# fix one executable flag
-	chmod a+x $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/configUI.py
+	# fix executable flags
+	for f in configUI.py zwxglade.py; do \
+	  chmod 755 $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/$$f; \
+	done
+	for f in edit_widget.py config.py; do \
+	  chmod 644 $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/$$f; \
+	done
 	cp -a icons $(DESTDIR)/usr/share/$(PACKAGE)
 	# get rid of .xvpics subdirectories and .cvsignore files
 	find $(DESTDIR)/usr/share/$(PACKAGE) -name '.xvpics' -type d -exec rm -r {} \;
