=== debian/changelog ===
wxglade (0.6.3+rel-4) unstable; urgency=low

  * added a desktop file for Gnome. Closes: #594137

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 24 Aug 2010 02:23:34 +0200

wxglade (0.6.3+rel-3) unstable; urgency=low

  * added a file debian/menu and a pixmap to have an entry in KDE/Debian 
    menus. Closes: #588359

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 15:52:58 +0200

wxglade (0.6.3+rel-2) unstable; urgency=low

  * upgraded Standards-Version to 3.9.1
  * added a dependency on docbook-xsl dblatex and xmlto
  * modified the Makefile to use docbook-xsl's files. Closes: #590423

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 Aug 2010 18:16:50 +0200

wxglade (0.6.3+rel-1) unstable; urgency=low

  * got the newest version from upstream, which had changed a little
  * repackaged wxglade with the new quilt-based system
  * created a file setup.py to build the application
  * changed the charset=CHARSET stance in de.po and fr.po to use UTF-8 instead
  * made wx-glade useable with python 2.6, by declaring "XS-Python-Version: all"
    Closes: #587692
  * fixed a typo in main.py which prevented the access to documentations.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 03 Jul 2010 03:30:30 +0200

wxglade (0.6.3-2) unstable; urgency=low

  * upgraded lintian and fixed the newly reported errors: 
    standards-version, etc.
  * modified the path to html documents in main.py
    Closes: #533547
  * added a dependency over xmltex, and some lines to generate the PDF 
    documents.
    Closes: #552784
  * the dependency upon python-wxgtk is now 
    python-wxgtk2.8|python-wxgtk2.6
    Closes: #501710
  * The crash of wxglade when creating a wxFrame does no more 
    occur with the version 0.6.3-2 of this package (bug not 
    reproducible)
    Closes: #537452

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Oct 2009 16:06:10 +0100

wxglade (0.6.3-1) unstable; urgency=low

  * upgraded standards-version (now 3.8.0)
  * added an invokation of dh_desktop from debian/rules
  * as the build system should correctly manage the man page, thus
    Closes: #475661

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Jul 2008 21:11:32 +0200

wxglade (0.6.3-0.1) unstable; urgency=low

  * NMU
  * New upstream version. Closes: #468874.
  * Don't hardcode location of the shared python files. Closes: #472037.
  * debian/rules (clean): Remove debian/files, as shipped by upstream.
    Closes: #451061.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2008 17:28:59 +0100

wxglade (0.6.1-2) unstable; urgency=low

  * Added a .desktop file and two pixmaps
    Closes: #454154.
  * The starter script checks no more the current python version
    Closes: #348871

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 09 Dec 2007 19:54:26 +0100

wxglade (0.6.1-1) unstable; urgency=low

  * upgraded to the new upstream version
  * erased the .mo files in the source tree
  * added the installation of .mo files by the Makefile

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Nov 2007 16:31:54 +0100

wxglade (0.5-1) unstable; urgency=low

  * Upgraded to the new upstream version
    Closes: #422710.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 08 May 2007 19:48:06 +0200

wxglade (0.4.1-3) unstable; urgency=low

  * cleaned thouroughly Makefile. Increased the compatibility with new 
    policies. Fixed the wrong symlink to the images.
    Closes: #386049.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Sep 2006 19:10:10 +0200

wxglade (0.4.1-2) unstable; urgency=low

  * Remove hard-code dependency on a python version in bin/wxglade.
    Closes: #384096.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 23:52:38 +0000

wxglade (0.4.1-1) unstable; urgency=low

  * New upstream version (as released on sf). Closes: #327851, #340999.
  * Convert to updated Python policy. Closes: #373409.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Jun 2006 02:00:06 +0200

wxglade (0.4.1) unstable; urgency=low

  * added a Conflicts: against libwxgtk2.4-python, thanks to  Andrea Brenci
    <andrea.brenci@libero.it>
  * added a menu file, thanks to Basil Shubin <bashu@yandex.ru>
    Closes #335945, #335945

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Nov 2005 18:37:36 +0100

wxglade (0.4) unstable; urgency=low

  * new upstream version
  * fixed one bug about destroying the .xvpics dirs

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 27 Oct 2005 17:19:56 +0200

wxglade (0.3.5.cvs20050824-0.1) unstable; urgency=low

  * Sponsored upload.
  * renamed the package to python-wxglade. the python-wxgtk packages
    don't have a version schema as well, so it doesn't make sense with
    wxglade as well.
  * Depend on python-wxgtk2.6 | python-wxgtk. These are the new names,
    and you have at least to depend on a real package.
  * Build-depend on python (needed for dh_python).
  * Repackage as a .orig.tar.gz package.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:29:15 +0000

wxglade (0.3.5.cvs20050823) unstable; urgency=low

  * upgraded to last CVS version 
  * updated the dependancies
  * fixed some executable flags

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Aug 2005 10:59:39 +0200

wxglade (0.3.5.cvs20041101-1) unstable; urgency=low

  * upgraded to last CVS version

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon,  1 Nov 2004 16:40:31 +0100

wxglade (0.3.4-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 25 Oct 2004 14:09:48 +0200

wxglade (0.4.1.cvs20060221) unstable; urgency=low

  * Sponsored upload.
  * Upgraded to last upstream version
  * Updated the version number to Alberto Griggio's announcement.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 21 Feb 2006 17:10:35 +0100

wxglade (0.3.5.cvs20060131-0.1) unstable; urgency=low

  * Sponsored upload.
  * synchronised to the CVS.
    Closes #340999, #327851
  * no problem with the menu bars upon testing, so probably ...
    Closes #341762

