=== debian/control ===
Source: wxglade
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support
Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
XS-Python-Version: all
Standards-Version: 3.9.1

Package: python-wxglade
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8|python-wxgtk2.6(>= 2.6.3.2.1.1)
Conflicts:  libwxgtk2.4-python
XB-Python-Version: ${python:Versions}
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
 code.
