=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = debian/python-wxglade

%:
	dh $@ 

override_dh_pysupport:
	dh_pysupport
	mkdir -p $(DESTDIR)/usr/share/doc/python-wxglade
	mv $(DESTDIR)/usr/share/pyshared/wxglade/docs/* $(DESTDIR)/usr/share/doc/python-wxglade

override_dh_installman:
	dh_installman wxglade.1
