=== debian/changelog ===
wxglade (0.6.4-2) unstable; urgency=low

  * restored the menu file and the icon. Closes: #653389
  * restored the desktop file.
  * added --with python2 as an option for dh $@

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Dec 2011 18:52:50 +0100

wxglade (0.6.4-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2011 19:01:36 +0100

wxglade (0.6.3+rel-5) unstable; urgency=low

  * removed the alternative dependency on python-wxgtk2.6. Closes:#647734
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 05 Nov 2011 19:31:34 +0100
