=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 7.0.50~), python-support
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: python-wxglade
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8|python-wxgtk2.6(>= 2.6.3.2.1.1)
+Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
 Conflicts:  libwxgtk2.4-python
 XB-Python-Version: ${python:Versions}
 Description:  GUI designer written in Python with wxPython
