=== debian/watch ===
version=3

http://sf.net/wxglade/wxglade.([\d\.]*)\.tar\.gz
