## wxglade 0.6.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for SMM
+# Makefile for wxGlade
 #
 # License: MIT (see license.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
@@ -22,7 +22,7 @@
 PYVER             = 2.3
 
 BASE_DIR          = .
-BIN_FILES         = wxglade.py configUI.py
+BIN_FILES         = wxglade
 BUILD_DIR         = $(BASE_DIR)/build
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
@@ -33,12 +33,16 @@
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
 EPYDOC_OPTS       = --config
 APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
-SOURCE_DIRS       = codegen edit_sizers widgets install 
+SOURCE_DIRS       = codegen edit_sizers widgets install tests
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
+TEST_BIN          = $(BASE_DIR)/test.py
 PYLINT_BIN        = pylint
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
-                    '--dummy-variables=_|dummy|event|empty|unused' \
+                    '--dummy-variables=_|dummy|event|empty|unused|i' \
+                    --disable=W0105,W0212,W0401,W0403,W0614 \
+                    --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
                     --include-ids=y --reports=n
+PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
 PYTHON_BIN        = python
 DB2MAN            = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP                = xsltproc --nonet
@@ -60,7 +64,8 @@
          sed -n 's/=.*\#+/:/gp'
 
 .PHONY: help clean distclean compile apidoc pylint permissions man doc \
-        pdf html doc-clean release rel-binary rel-source install
+        pdf html doc-clean release rel-binary rel-source install \
+        maintainer-clean test
 
 # Rule to compile a single Python file
 %.pyc: %.py
@@ -70,6 +75,10 @@
 #+ Show this text
 help:
 	$(HELP)
+
+#+ Run test package
+test:
+	@$(TEST_BIN)
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -91,6 +100,11 @@
 	@echo "Remove development files ..."
 	@$(RM) .hgtags .hgignore
 
+#+ Remove almost everything that can bee reconstructed with this Makefile
+maintainer-clean: distclean doc-clean
+	@echo "This command is intended for maintainers to use; it"
+	@echo 'deletes files that may need special tools to rebuild."
+
 #+ Compile all python files
 compile: $(BYTECODE_FILES)
 
@@ -104,7 +118,7 @@
 
 #+ Check all source files for logical errors using pylint
 pylint:
-	$(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
+	PYTHONPATH=$(PYLINT_PATH) $(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
 
 #+ Set proper permissions for all files and directories
 permissions:
