=== debian/changelog ===
wxglade (0.6.5-2) unstable; urgency=low

  * added a build-dependency on python-wxgtk2.8 which is necessary to
    run tests during the package build. Closes: #663567
  * bumped Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Apr 2012 17:19:20 +0000

wxglade (0.6.5-1) unstable; urgency=low

  * upgraded to the newest version
  * removed some debian patches, then made patches for the launcher and
    for the location of the help file, and legal stuff.
  * rewritten pat of debian/copyright to update it.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Jan 2012 01:13:07 +0100
