=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support
+Build-Depends: debhelper (>= 7.0.50~), python-support, python-wxgtk2.8
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: python-wxglade
 Architecture: all
