## wxglade 0.6.7

=== debian/changelog ===
wxglade (0.6.7-2) unstable; urgency=low

  * fixed a set of ugly bugs, thanks to Carsten Grohmann

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 May 2013 23:32:20 +0200

wxglade (0.6.7-1) unstable; urgency=low

  * upgraded to the newest release
  * changed my DebEmail
  * updated Standards-Version, compat, debhelper build-dependency

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Apr 2013 17:35:44 +0200
