## wxglade 0.6.8

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
 DIST_DIR          = $(BASE_DIR)/dist
-CHECK_FILES       = $(wildcard $(BASE_DIR)/*.py) \
-                    $(shell find $(SOURCE_DIRS) -name "*.py")
+CHECK_FILES       = $(filter-out $(BASE_DIR)/test.py, $(wildcard $(BASE_DIR)/*.py)) \
+                    $(filter-out tests/%.py, $(shell find $(SOURCE_DIRS) -name "*.py"))
 EPYDOC_BIN        = epydoc
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
 EPYDOC_OPTS       = --config
@@ -39,7 +39,7 @@
 PYLINT_BIN        = pylint
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
                     '--dummy-variables=_|dummy|event|empty|unused|i' \
-                    --disable=W0105,W0212,W0401,W0403,W0614 \
+                    --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
                     --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
                     --include-ids=y --reports=n
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
@@ -53,7 +53,9 @@
 MANUAL_XML        = $(MANUAL_SRC_DIR)/manual.xml
 MANUAL_PICS       = $(wildcard $($(MANUAL_SRC_DIR)/*.png))
 MANUAL_PDF        = $(MANUAL_PDF_DIR)/manual.pdf
+MANUAL_PDF_XSL    = $(MANUAL_SRC_DIR)/pdf.xsl
 MANUAL_HTML       = $(MANUAL_HTML_DIR)/index.html
+MANUAL_HTML_XSL   = $(MANUAL_SRC_DIR)/html.xsl
 
 HELP= @grep -B1 '^[a-zA-Z\-]*:' Makefile |\
          awk 'function p(h,t){printf"%-12s=%s\n",h,t;};\
@@ -76,9 +78,16 @@
 help:
 	$(HELP)
 
-#+ Run test package
-test:
+#+ Run all test package
+test: test-nongui test-gui
+
+#+ Run all non-GUI test package
+test-nongui:
 	@$(TEST_BIN)
+
+#+ Run all GUI test package
+test-gui:
+	@$(TEST_BIN) --gui
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -139,7 +148,7 @@
 
 # Create PDF documentation
 $(MANUAL_PDF): $(MANUAL_XML) $(MANUAL_PICS)
-	xmlto --with-dblatex -o $(MANUAL_PDF_DIR) pdf $(MANUAL_XML)
+	dblatex -p $(MANUAL_PDF_XSL) -o $(MANUAL_PDF_DIR)/manual.pdf $(MANUAL_XML)
 
 #+ Create PDF document based on manual xml file
 pdf: $(MANUAL_PDF)
@@ -147,7 +156,8 @@
 # Create HTML documentation
 $(MANUAL_HTML): $(MANUAL_XML) $(MANUAL_PICS)
 	$(INSTALL_DATA) -t $(MANUAL_HTML_DIR) $(MANUAL_SRC_DIR)/*.png
-	xmlto -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)
+	xmlto -m $(MANUAL_HTML_XSL) -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)
+	$(RM) $(MANUAL_HTML_DIR)/manual.proc
 
 #+ Create a set of HTML documents based on manual xml file
 html: $(MANUAL_HTML)
