=== debian/changelog ===
wxglade (0.6.8-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed two obsoleted patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 23:04:59 +0200
