=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wxglade
 Section: python
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-wxgtk2.8
+Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk2.8
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: python-wxglade
 Architecture: all
