=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 DESTDIR = debian/python-wxglade
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
-override_dh_pysupport:
-	dh_pysupport
-	mkdir -p $(DESTDIR)/usr/share/doc/python-wxglade
-	mv $(DESTDIR)/usr/share/pyshared/wxglade/docs/* $(DESTDIR)/usr/share/doc/python-wxglade
-
-override_dh_installman:
-	dh_installman wxglade.1
+override_dh_auto_install:
+	dh_auto_install
+	make install DESTDIR=$(DESTDIR)
+	install -d $(DESTDIR)/usr/share/pixmaps
+	install -m 644 icons/wxglade.xpm $(DESTDIR)/usr/share/pixmaps
+	install -d $(DESTDIR)/usr/share/applications
+	install -m 644 wxglade.desktop $(DESTDIR)/usr/share/applications
