=== debian/watch ===
version=3

http://qa.debian.org/watch/sf.php/wxglade/wxGlade-([\d\.]*)\.tar\.gz
