## wxglade 0.7.0

=== debian/changelog ===
wxglade (0.7.0-2) unstable; urgency=medium

  * Included Carsten Grohman's patches, sent by e-mail.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Oct 2014 15:01:41 +0100

wxglade (0.7.0-1) unstable; urgency=medium

  * upgraded to the new upstream release
  * inhibited dh_auto_test to prevent a failure due to fakeroot
  * removed the tests/ directory from the binary package

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 21:34:08 +0100

wxglade (0.6.8-3) unstable; urgency=medium

  * upgraded Standards-Version to 3.9.6
  * simplified d/rules, created d/python-wxglade.install
  * modified common.py assigned icons_path to '/usr/share/wxglade/icons'
    Closes: #766743
  * modified setup.py, created d/python-wxglade.dirs to simplify d/rules
    further.
  * changed debian/patches to avoid multiple modifications of wxglade.py

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 Oct 2014 17:32:19 +0200

wxglade (0.6.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update for wxPython3.0:
    + debian/control: Update dependency to python-wxgtk3.0 (Closes: #758941)
    + New patch: 60-wxpython3.0.patch

 -- Olly Betts <olly@survex.com>  Mon, 13 Oct 2014 15:55:13 +1300

wxglade (0.6.8-2) unstable; urgency=medium

  * applied Carsten Grohman's patch. Closes: #758254; Closes: #758941
  * upgraded Standards-Version to 3.9.5
  * moved images files from usr/lib/python2.7/dist-packages/wxglade/icons/ to
    usr/share/wxglade/icons

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Sep 2014 14:22:55 +0200
