=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk2.8
+Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: python-wxglade
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
+Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk3.0
 Conflicts:  libwxgtk2.4-python
 XB-Python-Version: ${python:Versions}
 Description:  GUI designer written in Python with wxPython
