## wxglade 0.7.1~rc1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # License: MIT (see license.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
 
-DESTDIR           = 
+DESTDIR           =
 
 # Makefile defaults
 SHELL             = /bin/sh
@@ -19,7 +19,6 @@
 docdir            = $(datarootdir)/doc/$(PACKAGE)
 mandir            = $(datarootdir)/man
 man1dir           = $(mandir)/man1
-PYVER             = 2.3
 
 BASE_DIR          = .
 BIN_FILES         = wxglade
@@ -27,24 +26,25 @@
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
 DIST_DIR          = $(BASE_DIR)/dist
+EGG_DIR           = $(BASE_DIR)/wxGlade.egg-info
 CHECK_FILES       = $(filter-out $(BASE_DIR)/test.py, $(wildcard $(BASE_DIR)/*.py)) \
                     $(filter-out tests/%.py, $(shell find $(SOURCE_DIRS) -name "*.py"))
 EPYDOC_BIN        = epydoc
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
-EPYDOC_OPTS       = --config
+EPYDOC_OPTS       = --config $(EPYDOC_CONFIG)
 APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
-SOURCE_DIRS       = codegen edit_sizers widgets install tests
+SOURCE_DIRS       = codegen wcodegen edit_sizers widgets install tests
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
 TEST_BIN          = $(BASE_DIR)/test.py
-PYLINT_BIN        = pylint
+PYLINT_BIN        = pylint2
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
                     '--dummy-variables=_|dummy|event|empty|unused|i' \
                     --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
                     --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
-                    --include-ids=y --reports=n
+                    --reports=n
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
-PYTHON_BIN        = python
-DB2MAN            = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
+PYTHON_BIN        = python2
+MANPAGE_XSL       = /usr/share/xml/docbook/xsl-stylesheets-1.78.1/manpages/docbook.xsl
 XP                = xsltproc --nonet
 
 MANUAL_HTML_DIR   = $(DOC_DIR)/html
@@ -79,7 +79,7 @@
 	$(HELP)
 
 #+ Run all test package
-test: test-nongui test-gui
+test: test-nongui test-gui test-compile
 
 #+ Run all non-GUI test package
 test-nongui:
@@ -88,6 +88,10 @@
 #+ Run all GUI test package
 test-gui:
 	@$(TEST_BIN) --gui
+
+#+ Run test to compile C++ files
+test-compile:
+	@$(TEST_BIN) --compile
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -98,8 +102,10 @@
 	@if [ -e $(BDIST_DIR) ]; then rm -rf $(BDIST_DIR); fi
 	@if [ -e $(DIST_DIR) ]; then rm -rf $(DIST_DIR); fi
 	@if [ -e $(APIDOC_DIR) ]; then rm -rf $(APIDOC_DIR); fi
+	@if [ -e $(EGG_DIR) ]; then rm -rf $(EGG_DIR); fi
 	@find $(BASE_DIR) -depth -type f -name "*.orig" -exec rm -f {} \;
 	@find $(BASE_DIR) -depth -type f -name "*~" -exec rm -f {} \;
+	@find $(BASE_DIR) -depth -type f -name "#~wxg.autosave*" -exec rm -f {} \;
 	@$(RM) logdict*.log
 	@$(RM) warnwxglade.txt
 	@$(RM) MANIFEST
@@ -120,7 +126,7 @@
 # Create the documentation
 $(APIDOC_DIR)/index.html: $(SOURCE_FILES) $(EPYDOC_CONFIG)
 	@echo "Create documentation from source ..."
-	@$(EPYDOC_BIN) $(EPYDOC_OPTS) $(EPYDOC_CONFIG)
+	@$(EPYDOC_BIN) $(EPYDOC_OPTS)
 
 #+ Create documentation from source files
 apidoc: $(APIDOC_DIR)/index.html
@@ -138,7 +144,7 @@
 
 # Create the manpage
 $(DOC_DIR)/man/wxglade.1: $(DOC_DIR)/man/manpage.xml
-	$(XP) --output $@ $(DB2MAN) $<
+	$(XP) --output $@ $(MANPAGE_XSL) $<
 
 #+ Create manpage from source files
 man: $(DOC_DIR)/man/wxglade.1
@@ -172,17 +178,19 @@
 release: rel-source rel-binary
 
 #+ Create Unix binary packages
-rel-binary: man pdf
+rel-binary: clean man pdf
 	@echo "Creating Unix release packages ..."
 	@$(RM) MANIFEST
 	$(PYTHON_BIN) setup.py bdist --format=zip
+
 	@$(RM) MANIFEST
 
 #+ Create Unix source release packages
-rel-source: man pdf
+rel-source: clean man pdf
 	@echo "Creating source packages ..."
 	@$(RM) MANIFEST
 	$(PYTHON_BIN) setup.py sdist --formats=gztar,zip
+
 	@$(RM) MANIFEST
 
 #+ Install wxGlade locally at $(prefix)
