=== debian/changelog ===
wxglade (0.7.1~rc1-3) unstable; urgency=medium

  * removed eggs' files which are harmful for a debian system.
    Closes: #801901

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 Oct 2015 23:12:13 +0200

wxglade (0.7.1~rc1-2) unstable; urgency=medium

  * added python-setuptools as a build-dependency, and removed the requirement
    for setuptools-hg in setup.py. Closes: #802115

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Oct 2015 19:45:58 +0200

wxglade (0.7.1~rc1-1) unstable; urgency=medium

  * upgraded to the new upstream version. Closes: #801570
  * adjusted patches, and packaging scripts

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 12 Oct 2015 19:33:07 +0200
