=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
-Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
+Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex,
+ python-setuptools
 XS-Python-Version: all
 Standards-Version: 3.9.6
