=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #export DH_VERBOSE=1
 
 DESTDIR = debian/python-wxglade
+PYTHONPATH=$(CURDIR)/debian/python-wxglade/usr/lib/python2.7/site-packages
 
 %:
 	dh $@ --with python2
@@ -22,3 +23,18 @@
 	find $(DESTDIR) -type d -name tests | xargs rm -rf
 	# removes wxglade.pyw
 	rm -f $(DESTDIR)/usr/bin/wxglade.pyw
+
+PYTHONPATH  = $(DESTDIR)/usr/lib/python2.7/dist-packages
+SHAREDIR    = $(DESTDIR)/usr/share/doc/python-wxglade
+EGGSDOCDIR  = $(PYTHONPATH)/wxGlade-0.7.0-py2.7.egg/share
+
+override_dh_python2:
+	dh_python2
+	# move image files to usr/share
+	mv $(EGGSDOCDIR)/doc $(SHAREDIR)
+	ln -s /usr/share/wxglade/doc $(EGGSDOCDIR)
+	find $(SHAREDIR) -name "*.xml" | xargs chmod 644
+	# removes eggs stuff which are harmful inside Debian
+	rm -f $(PYTHONPATH)/site.py
+	rm -f $(PYTHONPATH)/easy-install.pth
+
