## wxglade 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for wxGlade
 #
-# License: MIT (see license.txt)
+# License: MIT (see LICENSE.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
 
 DESTDIR           =
@@ -37,12 +37,11 @@
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
 TEST_BIN          = $(BASE_DIR)/test.py
 PYLINT_BIN        = pylint2
-PYLINT_OPTS       = --additional-builtins=_ --disable=C \
-                    '--dummy-variables=_|dummy|event|empty|unused|i' \
-                    --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
-                    --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
-                    --reports=n
+PYLINT_OPTS       = --rcfile ./pylintrc
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
+DIGGER_BIN        = clonedigger
+DIGGER_OUTFILE    = clonedigger.html
+DIGGER_OPTS       = --language python --output $(DIGGER_OUTFILE)
 PYTHON_BIN        = python2
 MANPAGE_XSL       = /usr/share/xml/docbook/xsl-stylesheets-1.78.1/manpages/docbook.xsl
 XP                = xsltproc --nonet
@@ -109,11 +108,12 @@
 	@$(RM) logdict*.log
 	@$(RM) warnwxglade.txt
 	@$(RM) MANIFEST
-
-#+ Remove all automatically generated and development files
+	@$(RM) $(DIGGER_OUTFILE)
+
+#+ Remove all automatically generated and Mercurial repository data
 distclean: clean
-	@echo "Remove development files ..."
-	@$(RM) .hgtags .hgignore
+	@echo "Remove Mercurial repository data (.hg*) ..."
+	@$(RM) .hgtags .hgignore version.py
 
 #+ Remove almost everything that can bee reconstructed with this Makefile
 maintainer-clean: distclean doc-clean
@@ -134,6 +134,10 @@
 #+ Check all source files for logical errors using pylint
 pylint:
 	PYTHONPATH=$(PYLINT_PATH) $(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
+
+#+ Check all source files for dublicates
+digger:
+	$(DIGGER_BIN) $(DIGGER_OPTS) $(CHECK_FILES)
 
 #+ Set proper permissions for all files and directories
 permissions:
