=== debian/changelog ===
wxglade (0.7.1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed build-dependencies: docbook, docbook-xsl, xsltproc, xmltex,
    xmlto, dblatex, since the manpage is not provided from upstream.
  * simplified a lot the packaging system: files Makefile and setup.py
    are no longer used
  * changed the name of the biary package python-wxglade => wxglade as
    it is built as a private python module
  * changed the section name to devel
  * Closes: 803017; made a manual test, which worked as expected.
  * Closes: #803045; made a manual test, which worked as expected.
  * Closes: #803138; made a manual test, which worked as expected.
  * Closes: #801968; made a manual test, which worked as expected.
  * Closes: #803698; this version gets rid of Egg files, and the version
    number is fixed by debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2016 21:58:42 +0100
