=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
XS-Python-Version: all
Standards-Version: 3.9.6

Package: wxglade
Architecture: all
Depends: python, ${misc:Depends}, python-wxgtk3.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
XB-Python-Version: ${python:Versions}
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
 code.
