## wxglade 0.7.2

=== debian/changelog ===
wxglade (0.7.2-2) unstable; urgency=medium

  * included Carsten Grohman's patch. Closes: #823050

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 May 2016 08:32:17 +0200

wxglade (0.7.2-1) unstable; urgency=medium

  * upgraded to the new upstream release; Closes: #802313

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 18:12:28 +0200

wxglade (0.7.1-2) unstable; urgency=medium

  * added Copyright (c) 2011-2016 Carsten Grohmann <mail@carsten-grohmann.de>
    in d/copyright
  * rewritten d/copyright to comply with the new format 1.0
  * added a notice about Perl and Lisp code generation in d/control

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Mar 2016 09:59:46 +0100
