=== debian/control ===
--- 
+++ 
@@ -16,5 +16,5 @@
 Description:  GUI designer written in Python with wxPython
  wxGlade is a GUI designer written in Python with the popular GUI toolkit
  wxPython, that helps you create wxWidgets/wxPython user interfaces.
- At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
- code.
+ At the moment it can generate Python, C++, Perl, Lisp and XRC
+ (wxWidgets' XML resources) code.
