## wxglade 0.8.0~a8

=== debian/changelog ===
wxglade (0.8.0~a8-1) unstable; urgency=medium

  * modified slightly /usr/bin/wxglade, which Closes: #853000
  * upgraded to the upstream version 080a8, which Closes: #853009
    and Closes: #875554
  * upgraded Standards-Version to 4.1.1, debhelper level to 10

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Nov 2017 14:47:31 +0100
