=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
+Build-Depends: debhelper (>= 10), python-all, python-wxgtk3.0
 XS-Python-Version: all
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 
 Package: wxglade
 Architecture: all
