## wxglade 0.8.0

=== debian/changelog ===
wxglade (0.8.0-1) unstable; urgency=medium

  * New upstream release. Closes: #894453
  * added vcs stuff in debian/control

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Apr 2018 20:59:33 +0200
