=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10), python-all, python-wxgtk3.0
 XS-Python-Version: all
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/georgesk/wxglade.git
+Vcs-Git: https://salsa.debian.org/georgesk/wxglade.git
 
 Package: wxglade
 Architecture: all
