=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,15 @@
 	# the installation is simplified drastically!
 	rm -f Makefile setup.py version.py
 	rm -rf wxGlade.egg-info .eggs
+	rm -f docs/html/_static/jquery.js docs/html/_static/underscore.js
 	dh_auto_clean
 
 override_dh_auto_test:
 	echo "not running the tests since the test tests/test_gui.py will fail"
 
 override_dh_auto_install:
+	ln -s underscore-1.3.1.js docs/html/_static/underscore.js
+	ln -s jquery-3.1.0.js docs/html/_static/jquery.js
 	echo "__version__ = '$(VERSION)'" > $(CURDIR)/version.py
 	dh_auto_install
