## wxglade 0.8.3

=== debian/changelog ===
wxglade (0.8.3-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Switch to Python 3 / wxPython 4 (upstream recommended)

  [ Georges Khaznadar ]
  * fixed the entry Vcs-Git in d/control; updated Standards-Version to 4.2.1

 -- Scott Talbert <swt@techie.net>  Sat, 24 Nov 2018 20:40:19 -0500

wxglade (0.8.3-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Jul 2018 19:34:34 +0200

wxglade (0.8.0-2) unstable; urgency=medium

  * changed the file debian/docs to comply with "dpkg-buildpackage -A".
    Closes: #903344
  * upgraded Standards-Version to 4.1.5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 10:26:56 +0200
