=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	# the installation is simplified drastically!
