## wxglade 0.9.4

=== debian/changelog ===
wxglade (0.9.4-1) unstable; urgency=medium

  * new upstream version
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Nov 2019 13:24:24 +0100
