=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 10), dh-python, python3-all
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/georgesk/wxglade.git
Vcs-Git: https://salsa.debian.org/georgesk/wxglade

Package: wxglade
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-wxgtk4.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++, Perl, Lisp and XRC
 (wxWidgets' XML resources) code.
