## wxglade 0.9.5

=== debian/changelog ===
wxglade (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * updated debain patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Mar 2020 18:03:58 +0100
