## wxglade 0.9.6

=== debian/changelog ===
wxglade (0.9.6-2) unstable; urgency=medium

  * removed Matthias Klose as uploader. Closes: #977267
  * updated Standards-Version: 4.5.1, debhelper-compat (= 13)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Dec 2020 17:38:15 +0100

wxglade (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jun 2020 17:58:01 +0200
